> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unblockedbrands.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search and filter Wallet Pass Locations

> Search and retrieve Wallet Pass Locations with optional filtering and pagination.

**Features:**
- Search locations by name using keyword query (case-insensitive)
- Filter by specific location ID or name
- Filter by wallet pass serial numbers
- Pagination support with cursor-based navigation

**Pagination:**
- Use `cursor` parameter for next page navigation
- `limit` controls page size (default: 20, max: 20)
- Response includes `items` array, `cursor`, and `hasMore` fields




## OpenAPI

````yaml api-reference/openapi.json get /wallet-pass-location
openapi: 3.1.0
info:
  title: Unblocked Wallet Passes API
  description: Unblocked Wallet Passes API
  version: 1.0.0
servers:
  - url: https://api.ubpass.co/v1
    description: Generated server url
security:
  - AccessToken: []
  - APIKey: []
tags:
  - name: Pique
    description: Get Pique Campaigns and their video performance data
  - name: Passport - Passes
    description: >-
      Create, update, retrieve, and delete wallet passes for Apple and Google
      platforms
  - name: Passport - Push Notifications
    description: Create, update, get, and delete wallet pass notifications
  - name: Passport - Locations
    description: Create, update, get, and delete wallet pass locations
  - name: Upload APIs
    description: Upload and manage pass assets and images
paths:
  /wallet-pass-location:
    get:
      tags:
        - Passport - Locations
      summary: Search and filter Wallet Pass Locations
      description: >
        Search and retrieve Wallet Pass Locations with optional filtering and
        pagination.


        **Features:**

        - Search locations by name using keyword query (case-insensitive)

        - Filter by specific location ID or name

        - Filter by wallet pass serial numbers

        - Pagination support with cursor-based navigation


        **Pagination:**

        - Use `cursor` parameter for next page navigation

        - `limit` controls page size (default: 20, max: 20)

        - Response includes `items` array, `cursor`, and `hasMore` fields
      operationId: getPassLocations
      parameters:
        - name: x-workspace-id
          in: header
          description: >-
            Workspace ID to perform the operation in. If not provided, system
            will use the first one assigned to the user
          required: false
          schema:
            type: string
            pattern: ^[a-zA-Z0-9-_]+$
          example: 1f089d29-6f9c-66c2-af59-99631cec7ab5
        - name: query
          in: query
          description: Search keyword to filter locations by name (case-insensitive)
          required: false
          schema:
            type: string
            maxLength: 255
          example: TORONTO MALL
        - name: name
          in: query
          description: Exact search by location name (case-sensitive)
          required: false
          schema:
            type: string
            maxLength: 255
          example: TORONTO MALL LOCATION
        - name: cursor
          in: query
          description: >-
            Pagination cursor for fetching the next set of results. Use the
            'cursor' value from the previous response.
          required: false
          schema:
            type: string
          example: 1f089d37-5ebe-6778-af59-99631cec7ab5
        - name: limit
          in: query
          description: Number of locations to return per page (1-20, max 20)
          required: false
          schema:
            type: integer
            maximum: 20
            minimum: 1
          example: 20
        - name: passSerialNumbers
          in: query
          description: >-
            Filter locations by wallet pass serial numbers. Multiple values
            allowed.
          required: false
          schema:
            type: array
            items:
              type: string
              pattern: ^[a-zA-Z0-9-_]+$
          example: >-
            1f07ee39-d750-6276-aff4-07a599527878,1f07ee39-d750-6276-aff4-07a599527879
        - name: ids
          in: query
          description: Filter by location ID list
          required: false
          schema:
            type: array
            items:
              type: string
          example: >-
            1f089d37-5ebe-6778-af59-99631cec7ab5,1f089d37-5ebc-6778-af59-99631cec7ab5
        - name: id
          in: query
          description: Filter by specific location ID
          required: false
          schema:
            type: string
          example: 1f089d37-5ebe-6778-af59-99631cec7ab5
      responses:
        '200':
          description: Successfully retrieved wallet pass locations
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BXPagedList'
              examples:
                Success Response:
                  summary: Paginated list of wallet pass locations
                  description: Success Response
                  value:
                    items:
                      - id: 1f089d37-5ebe-6778-af59-99631cec7ab5
                        createdTime: '2025-09-04T21:09:36.027Z'
                        updatedTime: '2025-09-04T21:11:01.734Z'
                        createdBy: 1ef58ae6-40ac-6fd2-96af-45801844c4e2
                        updatedBy: 1ef58ae6-40ac-6fd2-96af-45801844c4e2
                        workspaceId: 1f089d29-6f9c-66c2-af59-99631cec7ab5
                        accountId: 1f089d29-6fa8-6a13-af59-99631cec7ab5
                        name: TORONTO MALL LOCATION
                        enabled: true
                        latitude: 43.798327702071944
                        longitude: -79.24175240232819
                        relevantText: Welcome to Toronto Premium Outlets
                        walletPass:
                          id: 1f07ee39-d750-6276-aff4-07a599527878
                    cursor: 1f089d37-5ebe-6778-af59-99631cec7ab5
                    hasMore: false
        '401':
          description: Unauthorized - Invalid or missing authentication
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnblockedApiError'
              examples:
                Unauthorized Error:
                  summary: Authentication failed
                  description: Unauthorized Error
                  value:
                    txId: Root=1-68d3693c-26a3db2278c7668f5e086711
                    timestamp: 24-09-2025 03:45:00
                    errorCode: UNAUTHORIZED
                    errorMessage: UNAUTHORIZED.
components:
  schemas:
    BXPagedList:
      type: object
      properties:
        items:
          type: array
          items: {}
        cursor:
          type: string
        hasMore:
          type: boolean
    UnblockedApiError:
      type: object
      properties:
        txId:
          type: string
        timestamp:
          type: string
          format: date-time
        errorCode:
          type: string
        errorMessage:
          type: string
        context:
          type: object
          additionalProperties: {}
  securitySchemes:
    AccessToken:
      type: http
      description: Bearer token authentication
      scheme: bearer
      bearerFormat: JWT
    APIKey:
      type: apiKey
      description: API Key authentication
      name: api-key
      in: header

````